net.sourceforge.jnlp.util

## Class BasicExceptionDialog

- java.lang.Object
- - net.sourceforge.jnlp.util.BasicExceptionDialog

-     public class BasicExceptionDialog
      extends java.lang.Object

  A dialog that displays some basic information about an exception

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicExceptionDialog()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `areShown()`
    `static javax.swing.JButton` | `getClearCacheButton(java.awt.Component parent)`
    `static javax.swing.JButton` | `getShowButton(java.awt.Component parent)`
    `static void` | `show(java.lang.Exception exception)` Must be invoked from the Swing EDT.
    `static int` | `willBeShown()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicExceptionDialog

          public BasicExceptionDialog()

  - ### Method Detail

    - #### show

          public static void show(java.lang.Exception exception)

      Must be invoked from the Swing EDT.
      Parameters:
        `exception` - the exception to indicate

    - #### getShowButton

          public static javax.swing.JButton getShowButton(java.awt.Component parent)

    - #### getClearCacheButton

          public static javax.swing.JButton getClearCacheButton(java.awt.Component parent)

    - #### willBeShown

          public static int willBeShown()

    - #### areShown

          public static boolean areShown()

Submit a bug or feature